%{!?python_sitelib: %define python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

%define _libdir /usr/lib

Summary: Cluster-based virtualization management software
Name: ganeti
Version: 2.2.1
Release: 1%{?dist}
License: GPLv2
Group: System Environment/Daemons
URL: http://code.google.com/p/ganeti/
Source0: http://ganeti.googlecode.com/files/ganeti-%{version}.tar.gz
Source1: ganeti.init
Source2: ganeti.sysconfig
Patch1: ganeti-2.1.2.1-add_support_for_other_than_debian.patch
BuildArchitectures: noarch
BuildRequires: python
BuildRequires: pyOpenSSL
BuildRequires: pyparsing
BuildRequires: python-simplejson
BuildRequires: python-ctypes
BuildRequires: python-pycurl
BuildRequires: python-paramiko
BuildRequires: socat
# BuildRequires: pyinotify
# http://seb.dbzteam.org/pub/pyinotify/releases/pyinotify-0.9.0.tar.gz
BuildRoot: %{_tmppath}/%{name}-root
# for ganeti-2.1.x, no rpm
# BuildRequires: pyinotify
Requires: python
Requires: pyOpenSSL
Requires: pyparsing
Requires: python-simplejson
Requires: python-ctypes
Requires: python-pycurl
Requires: python-paramiko
# for ganeti-2.1.x, no rpm
# Requires: pyinotify

%description
Ganeti is a virtualization cluster management software. You are expected
to be a system administrator familiar with your Linux distribution and
the Xen or KVM virtualization environments before using it.

The various components of Ganeti all have man pages and interactive
help. This manual though will help you getting familiar with the system
by explaining the most common operations, grouped by related use.

After a terminology glossary and a section on the prerequisites needed
to use this manual, the rest of this document is divided in sections
for the different targets that a command affects: instance, nodes, etc.

%prep
%setup -q

%patch1 -p1

%build
%configure \
  --prefix=%{_prefix} \
  --sysconfdir=%{_sysconfdir} \
  --libdir=%{_libdir} \
  --with-ssh-initscript=%{_initrddir}/sshd \
  --with-export-dir=%{_localstatedir}/lib/%{name}/export \
  --with-os-search-path=/usr/share/%{name}/os,%{_libdir}/%{name}/os,/usr/local/lib/%{name}/os,/srv/%{name}/os \
  --with-iallocator-search-path=%{_libdir}/%{name}/iallocators,/usr/local/lib/%{name}/iallocators \
  --with-xen-bootloader=/usr/bin/pygrub \
  --with-file-storage-dir=%{_localstatedir}/lib/%{name}/file-storage \
  --with-kvm-path=/usr/libexec/qemu-kvm
make

%install
rm -rf ${RPM_BUILD_ROOT}
make DESTDIR=${RPM_BUILD_ROOT} install

mkdir -p ${RPM_BUILD_ROOT}/%{_initrddir}
mkdir -p ${RPM_BUILD_ROOT}/%{_sysconfdir}/default
mkdir -p ${RPM_BUILD_ROOT}/%{_sysconfdir}/sysconfig

install -m 755 %{SOURCE1} ${RPM_BUILD_ROOT}/%{_initrddir}/%{name}
install -m 644 doc/examples/ganeti.default ${RPM_BUILD_ROOT}/%{_sysconfdir}/default/%{name}
install -m 644 %{SOURCE2} ${RPM_BUILD_ROOT}/%{_sysconfdir}/sysconfig/%{name}

%clean
rm -rf ${RPM_BUILD_ROOT}

%post
/sbin/chkconfig --add ganeti

%preun
if [ $1 = 0 ] ; then
    /sbin/chkconfig --del ganeti
    /sbin/service ganeti stop >/dev/null 2>&1
fi
exit 0

%files
%defattr(-,root,root)
%attr(755,root,root) %config %{_initrddir}/%{name}
%config(noreplace) %{_sysconfdir}/sysconfig/%{name}
%config(noreplace) %{_sysconfdir}/default/%{name}
# %{_docdir}/%{name}
%{_sbindir}/*
%{_libdir}/%{name}
%{python_sitelib}/%{name}
%{_mandir}/man*/*
%dir /var/lib/%{name}
%dir /var/log/%{name}

%changelog
* Wed Oct 20 2010 Jun Futagawa <jfut@integ.jp>
- Updated to 2.2.1

* Tue Oct 10 2010 Jun Futagawa <jfut@integ.jp>
- Updated to 2.2.0.1

* Tue Oct  5 2010 Jun Futagawa <jfut@integ.jp>
- Updated to 2.2.0
- Added BuildRequires: python-ctypes
- Added BuildRequires: python-pycurl
- Added BuildRequires: python-paramiko
- Added BuildRequires: socat

* Wed Aug 25 2010 Jun Futagawa <jfut@integ.jp>
- Updated to 2.1.7

* Sat Jul 17 2010 Jun Futagawa <jfut@integ.jp>
- Updated to 2.1.6

* Sat Jul 03 2010 Jun Futagawa <jfut@integ.jp>
- Updated to 2.1.5

* Sun Jun 20 2010 Jun Futagawa <jfut@integ.jp>
- Updated to 2.1.4

* Mon Jun  7 2010 Jun Futagawa <jfut@integ.jp>
- Updated to 2.1.3

* Sat May 29 2010 Jun Futagawa <jfut@integ.jp>
- Updated to 2.1.2.1

* Sun May 16 2010 Jun Futagawa <jfut@integ.jp>
- Updated to 2.0.6

* Tue Dec 18 2009 Jun Futagawa <jfut@integ.jp>
- Updated to 2.0.5

* Tue Nov  7 2009 Jun Futagawa <jfut@integ.jp>
- Backported the ``use_localtime`` option for the xen-hvm and kvm
  from the development branch

* Tue Nov  5 2009 Jun Futagawa <jfut@integ.jp>
- Changed export-dir to /var/lib/ganeti/export
- Changed file-storage-dir to /var/lib/ganeti/file-storage

* Sat Oct 24 2009 Jun Futagawa <jfut@integ.jp>
- Backported more options to xen-pvm hypervisor (``use_bootloader``,
  ``bootloader_path`` and ``bootloader_args``) from the development
  branch
- Updated to 2.0.4

* Tue Sep 29 2009 Jun Futagawa <jfut@integ.jp>
- First build 
